Bug 387177

Summary: KMail crashes on exit - accessing KMMainWindow status bar during destruction?
Product: [Applications] kmail2 Reporter: Jonathan Marten <jjm>
Component: generalAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: crash CC: devurandom, fritigerngothly, jens.pruessner, jseiters
Priority: NOR Keywords: drkonqi
Version: unspecified   
Target Milestone: ---   
Platform: Compiled Sources   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: New crash information added by DrKonqi

Description Jonathan Marten 2017-11-21 09:40:36 UTC
Application: kmail (5.6.80)
 (Compiled from sources)
Qt Version: 5.9.3
Frameworks Version: 5.40.0
Operating System: Linux 4.12.12-gentoo x86_64
Distribution (Platform): Gentoo Packages

-- Information about the crash:
- What I was doing when the application crashed:

The crash happens if KMail is quit while some network jobs are in progress.

What seems to be happening in the backtrace is that stopping the Akonadi jobs tries to display a message in the status bar, which crashes because the KMainWindow and all of its associated widgets are already in the process of being destroyed.

The crash can be reproduced sometimes.

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f1dd1543840 (LWP 16464))]

Thread 25 (Thread 0x7f1cce059700 (LWP 17288)):
#0  0x00007f1dfa735b31 in ppoll () from /lib64/libc.so.6
#1  0x00007f1dfb5d6e6e in ppoll (__ss=0x0, __timeout=0x0, __nfds=1, __fds=0x7f1d64002328) at /usr/include/bits/poll2.h:77
#2  qt_ppoll (timeout_ts=0x0, nfds=1, fds=0x7f1d64002328) at kernel/qcore_unix.cpp:81
#3  qt_safe_poll (fds=0x7f1d64002328, nfds=nfds@entry=1, timeout_ts=timeout_ts@entry=0x0) at kernel/qcore_unix.cpp:102
#4  0x00007f1dfb5d88d9 in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:500
#5  0x00007f1dfb57dfdf in QEventLoop::processEvents (this=this@entry=0x7f1cce058d70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:134
#6  0x00007f1dfb57e453 in QEventLoop::exec (this=this@entry=0x7f1cce058d70, flags=flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f1dfb3afb42 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#8  0x00007f1dfb3afbe9 in QThread::run (this=<optimized out>) at thread/qthread.cpp:582
#9  0x00007f1dfb3b611f in QThreadPrivate::start (arg=0x5549c40) at thread/qthread_unix.cpp:368
#10 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 24 (Thread 0x7f1dacc87700 (LWP 17271)):
#0  0x00007f1df659b08f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1de6bf3a1a in base::ConditionVariable::Wait (this=0x1926d28) at ../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:69
#2  0x00007f1de6b262b4 in base::SequencedWorkerPool::Inner::ThreadLoop (this=0x1926cf0, this_worker=0x7f1d7812cc00) at ../../3rdparty/chromium/base/threading/sequenced_worker_pool.cc:1080
#3  0x00007f1de6b235bb in base::SequencedWorkerPool::Worker::Run (this=0x7f1d7812cc00) at ../../3rdparty/chromium/base/threading/sequenced_worker_pool.cc:611
#4  0x00007f1de6b31b5b in base::SimpleThread::ThreadMain (this=0x7f1d7812cc00) at ../../3rdparty/chromium/base/threading/simple_thread.cc:68
#5  0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x7f1d78129d30) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#6  0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#7  0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7f1d56c58700 (LWP 16636)):
#0  0x00007f1dfb5b0eb7 in QObjectPrivate::isSignalConnected (checkDeclarative=false, signal_index=3, this=0x7f1d68001cb0) at kernel/qobject_p.h:259
#1  QMetaObject::activate (sender=sender@entry=0x7f1d68001c90, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3647
#2  0x00007f1dfb5b17c3 in QMetaObject::activate (sender=sender@entry=0x7f1d68001c90, m=m@entry=0x7f1dfb7f7360 <QAbstractEventDispatcher::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3628
#3  0x00007f1dfb57c85a in QAbstractEventDispatcher::aboutToBlock (this=this@entry=0x7f1d68001c90) at .moc/moc_qabstracteventdispatcher.cpp:138
#4  0x00007f1dfb5d86cf in QEventDispatcherUNIX::processEvents (this=0x7f1d68001c90, flags=...) at kernel/qeventdispatcher_unix.cpp:477
#5  0x00007f1dfb57dfdf in QEventLoop::processEvents (this=this@entry=0x7f1d56c57d70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:134
#6  0x00007f1dfb57e453 in QEventLoop::exec (this=this@entry=0x7f1d56c57d70, flags=flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f1dfb3afb42 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#8  0x00007f1dfb3afbe9 in QThread::run (this=<optimized out>) at thread/qthread.cpp:582
#9  0x00007f1dfb3b611f in QThreadPrivate::start (arg=0x26893b0) at thread/qthread_unix.cpp:368
#10 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7f1d70ff9700 (LWP 16602)):
#0  0x00007f1dfa74af3b in ?? () from /lib64/libc.so.6
#1  0x00007f1dfa74c8b4 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f1dd8188088 in ?? () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f1dd81882b4 in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f1dd8189b88 in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f1dd817f1a6 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f1de6a61a2d in base::MessagePumpLibevent::Run (this=0x7f1d60003430, delegate=0x7f1d60002020) at ../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:222
#7  0x00007f1de6a418b6 in base::MessageLoop::RunHandler (this=0x7f1d60002020) at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#8  0x00007f1de6ad9834 in base::RunLoop::Run (this=0x7f1d70ff88a0) at ../../3rdparty/chromium/base/run_loop.cc:35
#9  0x00007f1de6b37309 in base::Thread::Run (this=0x7f1d60001cc8, run_loop=0x7f1d70ff88a0) at ../../3rdparty/chromium/base/threading/thread.cc:245
#10 0x00007f1de6b37b6a in base::Thread::ThreadMain (this=0x7f1d60001cc8) at ../../3rdparty/chromium/base/threading/thread.cc:333
#11 0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x7f1d60001ea0) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#12 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#13 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7f1d717fa700 (LWP 16601)):
#0  0x00007f1df659b08f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1de6bf3a1a in base::ConditionVariable::Wait (this=0x1926d28) at ../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:69
#2  0x00007f1de6b262b4 in base::SequencedWorkerPool::Inner::ThreadLoop (this=0x1926cf0, this_worker=0x7f1d6c001c60) at ../../3rdparty/chromium/base/threading/sequenced_worker_pool.cc:1080
#3  0x00007f1de6b235bb in base::SequencedWorkerPool::Worker::Run (this=0x7f1d6c001c60) at ../../3rdparty/chromium/base/threading/sequenced_worker_pool.cc:611
#4  0x00007f1de6b31b5b in base::SimpleThread::ThreadMain (this=0x7f1d6c001c60) at ../../3rdparty/chromium/base/threading/simple_thread.cc:68
#5  0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x7f1d6c001dc0) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#6  0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#7  0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7f1d71ffb700 (LWP 16600)):
#0  0x00007f1df659b438 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1de6bf3d1e in base::ConditionVariable::TimedWait (this=0x7f1d71ff9e48, max_time=...) at ../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:117
#2  0x00007f1de6b0385f in base::WaitableEvent::TimedWait (this=0x7f1d5c001bd0, max_time=...) at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:217
#3  0x00007f1de6a5f5a6 in base::MessagePumpDefault::Run (this=0x7f1d5c001b80, delegate=0x19af610) at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:82
#4  0x00007f1de6a418b6 in base::MessageLoop::RunHandler (this=0x19af610) at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#5  0x00007f1de6ad9834 in base::RunLoop::Run (this=0x7f1d71ffa8a0) at ../../3rdparty/chromium/base/run_loop.cc:35
#6  0x00007f1de6b37309 in base::Thread::Run (this=0x19137d0, run_loop=0x7f1d71ffa8a0) at ../../3rdparty/chromium/base/threading/thread.cc:245
#7  0x00007f1de6b37b6a in base::Thread::ThreadMain (this=0x19137d0) at ../../3rdparty/chromium/base/threading/thread.cc:333
#8  0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x18c9a80) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#9  0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7f1d727fc700 (LWP 16599)):
#0  0x00007f1df659b08f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1de6bf3a1a in base::ConditionVariable::Wait (this=0x7f1d727fac48) at ../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:69
#2  0x00007f1de6b0387b in base::WaitableEvent::TimedWait (this=0x7f1d60001c10, max_time=...) at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:219
#3  0x00007f1de6b034c4 in base::WaitableEvent::Wait (this=0x7f1d60001c10) at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:156
#4  0x00007f1de6a5f533 in base::MessagePumpDefault::Run (this=0x7f1d60001bc0, delegate=0x7f1d780147a0) at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#5  0x00007f1de6a418b6 in base::MessageLoop::RunHandler (this=0x7f1d780147a0) at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#6  0x00007f1de6ad9834 in base::RunLoop::Run (this=0x7f1d727fb8a0) at ../../3rdparty/chromium/base/run_loop.cc:35
#7  0x00007f1de6b37309 in base::Thread::Run (this=0x7f1d78014540, run_loop=0x7f1d727fb8a0) at ../../3rdparty/chromium/base/threading/thread.cc:245
#8  0x00007f1de6b37b6a in base::Thread::ThreadMain (this=0x7f1d78014540) at ../../3rdparty/chromium/base/threading/thread.cc:333
#9  0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x7f1d78014360) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#10 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f1d72ffd700 (LWP 16598)):
#0  0x00007f1df659b08f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1de6bf3a1a in base::ConditionVariable::Wait (this=0x1926d28) at ../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:69
#2  0x00007f1de6b262b4 in base::SequencedWorkerPool::Inner::ThreadLoop (this=0x1926cf0, this_worker=0x7f1d780053b0) at ../../3rdparty/chromium/base/threading/sequenced_worker_pool.cc:1080
#3  0x00007f1de6b235bb in base::SequencedWorkerPool::Worker::Run (this=0x7f1d780053b0) at ../../3rdparty/chromium/base/threading/sequenced_worker_pool.cc:611
#4  0x00007f1de6b31b5b in base::SimpleThread::ThreadMain (this=0x7f1d780053b0) at ../../3rdparty/chromium/base/threading/simple_thread.cc:68
#5  0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x7f1d78005530) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#6  0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#7  0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f1d737fe700 (LWP 16597)):
#0  0x00007f1df659b08f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1de6bf3a1a in base::ConditionVariable::Wait (this=0x197aad8) at ../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:69
#2  0x00007f1de84d4ff3 in cc::SingleThreadTaskGraphRunner::Run (this=0x197a9f0) at ../../3rdparty/chromium/cc/raster/single_thread_task_graph_runner.cc:123
#3  0x00007f1de6b31e7d in base::DelegateSimpleThread::Run (this=0x1991d50) at ../../3rdparty/chromium/base/threading/simple_thread.cc:92
#4  0x00007f1de6b31b5b in base::SimpleThread::ThreadMain (this=0x1991d50) at ../../3rdparty/chromium/base/threading/simple_thread.cc:68
#5  0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x197abf0) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#6  0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#7  0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f1d73fff700 (LWP 16596)):
#0  0x00007f1df659b08f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1de6bf3a1a in base::ConditionVariable::Wait (this=0x7f1d73ffdc48) at ../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:69
#2  0x00007f1de6b0387b in base::WaitableEvent::TimedWait (this=0x7f1d68001bd0, max_time=...) at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:219
#3  0x00007f1de6b034c4 in base::WaitableEvent::Wait (this=0x7f1d68001bd0) at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:156
#4  0x00007f1de6a5f533 in base::MessagePumpDefault::Run (this=0x7f1d68001b80, delegate=0x195f810) at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#5  0x00007f1de6a418b6 in base::MessageLoop::RunHandler (this=0x195f810) at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#6  0x00007f1de6ad9834 in base::RunLoop::Run (this=0x7f1d73ffe8a0) at ../../3rdparty/chromium/base/run_loop.cc:35
#7  0x00007f1de6b37309 in base::Thread::Run (this=0x190e360, run_loop=0x7f1d73ffe8a0) at ../../3rdparty/chromium/base/threading/thread.cc:245
#8  0x00007f1de6b37b6a in base::Thread::ThreadMain (this=0x190e360) at ../../3rdparty/chromium/base/threading/thread.cc:333
#9  0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x18c9a80) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#10 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f1d98ff9700 (LWP 16595)):
#0  0x00007f1dd818484e in evutil_snprintf () from /usr/lib64/libevent-2.1.so.6
#1  0x00007f1dd818803d in ?? () from /usr/lib64/libevent-2.1.so.6
#2  0x00007f1dd81882b4 in event_warn () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f1dd8189b88 in ?? () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f1dd817f1a6 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f1de6a61c16 in base::MessagePumpLibevent::Run (this=0x7f1d78001b80, delegate=0x1910250) at ../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:255
#6  0x00007f1de6a418b6 in base::MessageLoop::RunHandler (this=0x1910250) at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#7  0x00007f1de6ad9834 in base::RunLoop::Run (this=0x7f1d98ff88a0) at ../../3rdparty/chromium/base/run_loop.cc:35
#8  0x00007f1de6b37309 in base::Thread::Run (this=0x18d1530, run_loop=0x7f1d98ff88a0) at ../../3rdparty/chromium/base/threading/thread.cc:245
#9  0x00007f1de506456f in content::BrowserThreadImpl::IOThreadRun (this=0x18d1530, run_loop=0x7f1d98ff88a0) at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:253
#10 0x00007f1de5064888 in content::BrowserThreadImpl::Run (this=0x18d1530, run_loop=0x7f1d98ff88a0) at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:288
#11 0x00007f1de6b37b6a in base::Thread::ThreadMain (this=0x18d1530) at ../../3rdparty/chromium/base/threading/thread.cc:333
#12 0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x1972000) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#13 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#14 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f1d997fa700 (LWP 16594)):
#0  0x00007f1df659b08f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1de6bf3a1a in base::ConditionVariable::Wait (this=0x7f1d997f86c8) at ../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:69
#2  0x00007f1de6b0387b in base::WaitableEvent::TimedWait (this=0x7f1d74001c10, max_time=...) at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:219
#3  0x00007f1de6b034c4 in base::WaitableEvent::Wait (this=0x7f1d74001c10) at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:156
#4  0x00007f1de6a5f533 in base::MessagePumpDefault::Run (this=0x7f1d74001bc0, delegate=0x19c7820) at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#5  0x00007f1de6a418b6 in base::MessageLoop::RunHandler (this=0x19c7820) at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#6  0x00007f1de6ad9834 in base::RunLoop::Run (this=0x7f1d997f98a0) at ../../3rdparty/chromium/base/run_loop.cc:35
#7  0x00007f1de6b37309 in base::Thread::Run (this=0x1985730, run_loop=0x7f1d997f98a0) at ../../3rdparty/chromium/base/threading/thread.cc:245
#8  0x00007f1de506447d in content::BrowserThreadImpl::CacheThreadRun (this=0x1985730, run_loop=0x7f1d997f98a0) at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:247
#9  0x00007f1de506486a in content::BrowserThreadImpl::Run (this=0x1985730, run_loop=0x7f1d997f98a0) at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:286
#10 0x00007f1de6b37b6a in base::Thread::ThreadMain (this=0x1985730) at ../../3rdparty/chromium/base/threading/thread.cc:333
#11 0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x19be7f0) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#12 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#13 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f1d99ffb700 (LWP 16593)):
#0  0x00007f1df659b08f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1de6bf3a1a in base::ConditionVariable::Wait (this=0x7f1d99ff96c8) at ../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:69
#2  0x00007f1de6b0387b in base::WaitableEvent::TimedWait (this=0x7f1d80001c30, max_time=...) at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:219
#3  0x00007f1de6b034c4 in base::WaitableEvent::Wait (this=0x7f1d80001c30) at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:156
#4  0x00007f1de6a5f533 in base::MessagePumpDefault::Run (this=0x7f1d80001be0, delegate=0x18d4170) at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#5  0x00007f1de6a418b6 in base::MessageLoop::RunHandler (this=0x18d4170) at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#6  0x00007f1de6ad9834 in base::RunLoop::Run (this=0x7f1d99ffa8a0) at ../../3rdparty/chromium/base/run_loop.cc:35
#7  0x00007f1de6b37309 in base::Thread::Run (this=0x199d800, run_loop=0x7f1d99ffa8a0) at ../../3rdparty/chromium/base/threading/thread.cc:245
#8  0x00007f1de506438b in content::BrowserThreadImpl::ProcessLauncherThreadRun (this=0x199d800, run_loop=0x7f1d99ffa8a0) at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:241
#9  0x00007f1de506484c in content::BrowserThreadImpl::Run (this=0x199d800, run_loop=0x7f1d99ffa8a0) at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:284
#10 0x00007f1de6b37b6a in base::Thread::ThreadMain (this=0x199d800) at ../../3rdparty/chromium/base/threading/thread.cc:333
#11 0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x18ca500) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#12 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#13 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f1d9a7fc700 (LWP 16592)):
#0  0x00007f1df659b08f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1de6bf3a1a in base::ConditionVariable::Wait (this=0x7f1d9a7fa6c8) at ../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:69
#2  0x00007f1de6b0387b in base::WaitableEvent::TimedWait (this=0x7f1d7c001c30, max_time=...) at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:219
#3  0x00007f1de6b034c4 in base::WaitableEvent::Wait (this=0x7f1d7c001c30) at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:156
#4  0x00007f1de6a5f533 in base::MessagePumpDefault::Run (this=0x7f1d7c001be0, delegate=0x19ccab0) at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#5  0x00007f1de6a418b6 in base::MessageLoop::RunHandler (this=0x19ccab0) at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#6  0x00007f1de6ad9834 in base::RunLoop::Run (this=0x7f1d9a7fb8a0) at ../../3rdparty/chromium/base/run_loop.cc:35
#7  0x00007f1de6b37309 in base::Thread::Run (this=0x19be290, run_loop=0x7f1d9a7fb8a0) at ../../3rdparty/chromium/base/threading/thread.cc:245
#8  0x00007f1de5064299 in content::BrowserThreadImpl::FileUserBlockingThreadRun (this=0x19be290, run_loop=0x7f1d9a7fb8a0) at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:234
#9  0x00007f1de506482e in content::BrowserThreadImpl::Run (this=0x19be290, run_loop=0x7f1d9a7fb8a0) at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:282
#10 0x00007f1de6b37b6a in base::Thread::ThreadMain (this=0x19be290) at ../../3rdparty/chromium/base/threading/thread.cc:333
#11 0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x19be7f0) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#12 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#13 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f1d9affd700 (LWP 16591)):
#0  0x00007f1dfa74af3b in ?? () from /lib64/libc.so.6
#1  0x00007f1dfa74c8b4 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f1dd8188088 in ?? () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f1dd81882b4 in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f1dd8189b88 in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f1dd817f1a6 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f1de6a61af5 in base::MessagePumpLibevent::Run (this=0x7f1d88001bc0, delegate=0x195ef40) at ../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:245
#7  0x00007f1de6a418b6 in base::MessageLoop::RunHandler (this=0x195ef40) at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#8  0x00007f1de6ad9834 in base::RunLoop::Run (this=0x7f1d9affc8a0) at ../../3rdparty/chromium/base/run_loop.cc:35
#9  0x00007f1de6b37309 in base::Thread::Run (this=0x193bdb0, run_loop=0x7f1d9affc8a0) at ../../3rdparty/chromium/base/threading/thread.cc:245
#10 0x00007f1de50641a7 in content::BrowserThreadImpl::FileThreadRun (this=0x193bdb0, run_loop=0x7f1d9affc8a0) at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:227
#11 0x00007f1de5064810 in content::BrowserThreadImpl::Run (this=0x193bdb0, run_loop=0x7f1d9affc8a0) at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:280
#12 0x00007f1de6b37b6a in base::Thread::ThreadMain (this=0x193bdb0) at ../../3rdparty/chromium/base/threading/thread.cc:333
#13 0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x18ca500) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#14 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#15 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f1d9b7fe700 (LWP 16590)):
#0  0x00007f1df659b08f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1de6bf3a1a in base::ConditionVariable::Wait (this=0x7f1d9b7fc6c8) at ../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:69
#2  0x00007f1de6b0387b in base::WaitableEvent::TimedWait (this=0x7f1d84001bd0, max_time=...) at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:219
#3  0x00007f1de6b034c4 in base::WaitableEvent::Wait (this=0x7f1d84001bd0) at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:156
#4  0x00007f1de6a5f533 in base::MessagePumpDefault::Run (this=0x7f1d84001b80, delegate=0x19042c0) at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#5  0x00007f1de6a418b6 in base::MessageLoop::RunHandler (this=0x19042c0) at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#6  0x00007f1de6ad9834 in base::RunLoop::Run (this=0x7f1d9b7fd8a0) at ../../3rdparty/chromium/base/run_loop.cc:35
#7  0x00007f1de6b37309 in base::Thread::Run (this=0x19aef70, run_loop=0x7f1d9b7fd8a0) at ../../3rdparty/chromium/base/threading/thread.cc:245
#8  0x00007f1de50640b5 in content::BrowserThreadImpl::DBThreadRun (this=0x19aef70, run_loop=0x7f1d9b7fd8a0) at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:221
#9  0x00007f1de50647f2 in content::BrowserThreadImpl::Run (this=0x19aef70, run_loop=0x7f1d9b7fd8a0) at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:278
#10 0x00007f1de6b37b6a in base::Thread::ThreadMain (this=0x19aef70) at ../../3rdparty/chromium/base/threading/thread.cc:333
#11 0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x18d4f80) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#12 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#13 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f1dad488700 (LWP 16587)):
#0  0x00007f1df659b08f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1de6bf3a1a in base::ConditionVariable::Wait (this=0x7f1dad486c48) at ../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:69
#2  0x00007f1de6b0387b in base::WaitableEvent::TimedWait (this=0x7f1d90001bd0, max_time=...) at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:219
#3  0x00007f1de6b034c4 in base::WaitableEvent::Wait (this=0x7f1d90001bd0) at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:156
#4  0x00007f1de6a5f533 in base::MessagePumpDefault::Run (this=0x7f1d90001b80, delegate=0x7f1da00036f0) at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#5  0x00007f1de6a418b6 in base::MessageLoop::RunHandler (this=0x7f1da00036f0) at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#6  0x00007f1de6ad9834 in base::RunLoop::Run (this=0x7f1dad4878a0) at ../../3rdparty/chromium/base/run_loop.cc:35
#7  0x00007f1de6b37309 in base::Thread::Run (this=0x7f1df2bd1bd8 <base::(anonymous namespace)::g_inotify_reader+152>, run_loop=0x7f1dad4878a0) at ../../3rdparty/chromium/base/threading/thread.cc:245
#8  0x00007f1de6b37b6a in base::Thread::ThreadMain (this=0x7f1df2bd1bd8 <base::(anonymous namespace)::g_inotify_reader+152>) at ../../3rdparty/chromium/base/threading/thread.cc:333
#9  0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x7f1da0002430) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#10 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f1dade96700 (LWP 16586)):
#0  0x00007f1dfa74af3b in ?? () from /lib64/libc.so.6
#1  0x00007f1dfa74c8b4 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f1dd8188088 in ?? () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f1dd81882b4 in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f1dd8189b88 in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f1dd817f1a6 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f1de6a61a2d in base::MessagePumpLibevent::Run (this=0x7f1da0001bc0, delegate=0x18f8020) at ../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:222
#7  0x00007f1de6a418b6 in base::MessageLoop::RunHandler (this=0x18f8020) at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#8  0x00007f1de6ad9834 in base::RunLoop::Run (this=0x7f1dade958a0) at ../../3rdparty/chromium/base/run_loop.cc:35
#9  0x00007f1de6b37309 in base::Thread::Run (this=0x192c6f0, run_loop=0x7f1dade958a0) at ../../3rdparty/chromium/base/threading/thread.cc:245
#10 0x00007f1de6b37b6a in base::Thread::ThreadMain (this=0x192c6f0) at ../../3rdparty/chromium/base/threading/thread.cc:333
#11 0x00007f1de6b20115 in base::(anonymous namespace)::ThreadFunc (params=0x192c860) at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#12 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#13 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f1db4fd9700 (LWP 16570)):
#0  0x00007f1dfa735b31 in ppoll () from /lib64/libc.so.6
#1  0x00007f1dfb5d6e6e in ppoll (__ss=0x0, __timeout=0x0, __nfds=1, __fds=0x7f1da800aa88) at /usr/include/bits/poll2.h:77
#2  qt_ppoll (timeout_ts=0x0, nfds=1, fds=0x7f1da800aa88) at kernel/qcore_unix.cpp:81
#3  qt_safe_poll (fds=0x7f1da800aa88, nfds=nfds@entry=1, timeout_ts=timeout_ts@entry=0x0) at kernel/qcore_unix.cpp:102
#4  0x00007f1dfb5d88d9 in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:500
#5  0x00007f1dfb57dfdf in QEventLoop::processEvents (this=this@entry=0x7f1db4fd8d70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:134
#6  0x00007f1dfb57e453 in QEventLoop::exec (this=this@entry=0x7f1db4fd8d70, flags=flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f1dfb3afb42 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#8  0x00007f1dfb3afbe9 in QThread::run (this=<optimized out>) at thread/qthread.cpp:582
#9  0x00007f1dfb3b611f in QThreadPrivate::start (arg=0x19567d0) at thread/qthread_unix.cpp:368
#10 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f1db7fff700 (LWP 16471)):
#0  0x00007f1dfa735b31 in ppoll () from /lib64/libc.so.6
#1  0x00007f1dfb5d6e6e in ppoll (__ss=0x0, __timeout=0x0, __nfds=1, __fds=0x7f1db0060238) at /usr/include/bits/poll2.h:77
#2  qt_ppoll (timeout_ts=0x0, nfds=1, fds=0x7f1db0060238) at kernel/qcore_unix.cpp:81
#3  qt_safe_poll (fds=0x7f1db0060238, nfds=nfds@entry=1, timeout_ts=timeout_ts@entry=0x0) at kernel/qcore_unix.cpp:102
#4  0x00007f1dfb5d88d9 in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:500
#5  0x00007f1dfb57dfdf in QEventLoop::processEvents (this=this@entry=0x7f1db7ffed70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:134
#6  0x00007f1dfb57e453 in QEventLoop::exec (this=this@entry=0x7f1db7ffed70, flags=flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f1dfb3afb42 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#8  0x00007f1dfb3afbe9 in QThread::run (this=<optimized out>) at thread/qthread.cpp:582
#9  0x00007f1dfb3b611f in QThreadPrivate::start (arg=0x17349c0) at thread/qthread_unix.cpp:368
#10 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f1dc4f34700 (LWP 16468)):
#0  0x00007f1dfb5d9043 in QVector<pollfd>::reallocData (this=0x7f1dbc000968, asize=0, aalloc=3, options=...) at ../../include/QtCore/../../src/corelib/tools/qvector.h:540
#1  0x00007f1dfb5d94dd in QVector<pollfd>::resize (this=this@entry=0x7f1dbc000968, asize=asize@entry=0) at ../../include/QtCore/../../src/corelib/tools/qvector.h:415
#2  0x00007f1dfb5d8034 in QVector<pollfd>::clear (this=0x7f1dbc000968) at ../../include/QtCore/../../src/corelib/tools/qvector.h:419
#3  QEventDispatcherUNIXPrivate::markPendingSocketNotifiers (this=this@entry=0x7f1dbc0008e0) at kernel/qeventdispatcher_unix.cpp:289
#4  0x00007f1dfb5d83ee in QEventDispatcherUNIXPrivate::activateSocketNotifiers (this=this@entry=0x7f1dbc0008e0) at kernel/qeventdispatcher_unix.cpp:294
#5  0x00007f1dfb5d8ada in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:509
#6  0x00007f1dfb57dfdf in QEventLoop::processEvents (this=this@entry=0x7f1dc4f33d70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:134
#7  0x00007f1dfb57e453 in QEventLoop::exec (this=this@entry=0x7f1dc4f33d70, flags=flags@entry=...) at kernel/qeventloop.cpp:212
#8  0x00007f1dfb3afb42 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#9  0x00007f1dfb3afbe9 in QThread::run (this=<optimized out>) at thread/qthread.cpp:582
#10 0x00007f1dfb3b611f in QThreadPrivate::start (arg=0x16ecd20) at thread/qthread_unix.cpp:368
#11 0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#12 0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f1dc5735700 (LWP 16467)):
#0  0x00007f1dfb5b17bb in QMetaObject::activate (sender=sender@entry=0x7f1db80008c0, m=m@entry=0x7f1dfb7f7360 <QAbstractEventDispatcher::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3628
#1  0x00007f1dfb57c85a in QAbstractEventDispatcher::aboutToBlock (this=this@entry=0x7f1db80008c0) at .moc/moc_qabstracteventdispatcher.cpp:138
#2  0x00007f1dfb5d86cf in QEventDispatcherUNIX::processEvents (this=0x7f1db80008c0, flags=...) at kernel/qeventdispatcher_unix.cpp:477
#3  0x00007f1dfb57dfdf in QEventLoop::processEvents (this=this@entry=0x7f1dc5734d70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:134
#4  0x00007f1dfb57e453 in QEventLoop::exec (this=this@entry=0x7f1dc5734d70, flags=flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f1dfb3afb42 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007f1dfb3afbe9 in QThread::run (this=<optimized out>) at thread/qthread.cpp:582
#7  0x00007f1dfb3b611f in QThreadPrivate::start (arg=0x16e86f0) at thread/qthread_unix.cpp:368
#8  0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f1dccb37700 (LWP 16466)):
#0  QVector<QPostEvent>::size (this=0x1671208) at ../../include/QtCore/../../src/corelib/tools/qvector.h:89
#1  QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x16711f0) at kernel/qcoreapplication.cpp:1556
#2  0x00007f1dfb5d8633 in QEventDispatcherUNIX::processEvents (this=0x7f1dc00008c0, flags=...) at kernel/qeventdispatcher_unix.cpp:466
#3  0x00007f1dfb57dfdf in QEventLoop::processEvents (this=this@entry=0x7f1dccb36d30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:134
#4  0x00007f1dfb57e453 in QEventLoop::exec (this=this@entry=0x7f1dccb36d30, flags=flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f1dfb3afb42 in QThread::exec (this=this@entry=0x7f1dfcab6dc0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:515
#6  0x00007f1dfca363e0 in QDBusConnectionManager::run (this=0x7f1dfcab6dc0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#7  0x00007f1dfb3b611f in QThreadPrivate::start (arg=0x7f1dfcab6dc0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:368
#8  0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f1dce9ad700 (LWP 16465)):
#0  0x00007f1dfa735a6d in poll () from /lib64/libc.so.6
#1  0x00007f1ddce028f2 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007f1ddce048b7 in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007f1dd06ca154 in QXcbEventReader::run (this=0x12977d0) at qxcbconnection.cpp:1330
#4  0x00007f1dfb3b611f in QThreadPrivate::start (arg=0x12977d0) at thread/qthread_unix.cpp:368
#5  0x00007f1df6595404 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f1dfa73eacd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f1dd1543840 (LWP 16464)):
[KCrash Handler]
#6  0x0000000000000030 in ?? ()
#7  0x00007f1dfc013fd0 in QMainWindowLayout::statusBar (this=<optimized out>) at widgets/qmainwindowlayout.cpp:2332
#8  0x00007f1dfc010165 in QMainWindow::statusBar (this=this@entry=0x17b38d0) at widgets/qmainwindow.cpp:623
#9  0x00007f1dffb0d209 in KMMainWin::displayStatusMessage (this=0x17b38d0, aText=...) at /ws/frameworks/pim/kmail/src/kmmainwin.cpp:106
#10 0x00007f1dfb5b12fe in QtPrivate::QSlotObjectBase::call (a=<optimized out>, r=0x17b38d0, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
#11 QMetaObject::activate (sender=sender@entry=0x1ae2cb0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffd05179580) at kernel/qobject.cpp:3749
#12 0x00007f1dfb5b17c3 in QMetaObject::activate (sender=0x1ae2cb0, m=m@entry=0x7f1dff53c460 <KPIM::BroadcastStatus::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffd05179580) at kernel/qobject.cpp:3628
#13 0x00007f1dff317112 in KPIM::BroadcastStatus::statusMsg (this=<optimized out>, _t1=...) at /ws/BUILD.keelhaul/pim-libkdepim--frameworks-BUILD/src/libkdepim/KF5Libkdepim_automoc.dir/moc_broadcaststatu_OUKY42R5EKPJSF.cpp:147
#14 0x00007f1dff301439 in KPIM::BroadcastStatus::setStatusMsg (this=<optimized out>, message=...) at /ws/frameworks/pim/libkdepim/src/libkdepim/misc/broadcaststatus.cpp:73
#15 0x00007f1dffb49514 in KMMainWidget::showMessageActivities (this=this@entry=0x17b6e80, str=...) at /ws/frameworks/pim/kmail/src/kmmainwidget.cpp:4767
#16 0x00007f1dffb4c133 in KMMainWidget::itemsFetchDone (this=0x17b6e80, job=0x2852270) at /ws/frameworks/pim/kmail/src/kmmainwidget.cpp:4548
#17 0x00007f1dfb5b12fe in QtPrivate::QSlotObjectBase::call (a=<optimized out>, r=0x17b6e80, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
#18 QMetaObject::activate (sender=sender@entry=0x2852270, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7ffd05179760) at kernel/qobject.cpp:3749
#19 0x00007f1dfb5b17c3 in QMetaObject::activate (sender=sender@entry=0x2852270, m=m@entry=0x7f1dfc6ad500 <KJob::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7ffd05179760) at kernel/qobject.cpp:3628
#20 0x00007f1dfc4507c2 in KJob::result (this=this@entry=0x2852270, _t1=_t1@entry=0x2852270) at /ws/BUILD.keelhaul/tier1-kcoreaddons--frameworks-BUILD/src/lib/moc_kjob.cpp:570
#21 0x00007f1dfc451471 in KJob::finishJob (this=this@entry=0x2852270, emitResult=<optimized out>) at /ws/frameworks/tier1/kcoreaddons/src/lib/jobs/kjob.cpp:109
#22 0x00007f1dfc4514ea in KJob::kill (this=0x2852270, verbosity=verbosity@entry=KJob::EmitResult) at /ws/frameworks/tier1/kcoreaddons/src/lib/jobs/kjob.cpp:122
#23 0x00007f1df47dd031 in Akonadi::Session::clear (this=this@entry=0x18c77b0) at /ws/frameworks/pim/akonadi/src/core/session.cpp:409
#24 0x00007f1df47dd0f7 in Akonadi::Session::~Session (this=0x18c77b0, __in_chrg=<optimized out>) at /ws/frameworks/pim/akonadi/src/core/session.cpp:363
#25 0x00007f1df47dd129 in Akonadi::Session::~Session (this=0x18c77b0, __in_chrg=<optimized out>) at /ws/frameworks/pim/akonadi/src/core/session.cpp:365
#26 0x00007f1dfb5b75e6 in QObjectPrivate::deleteChildren (this=this@entry=0x195b8e0) at kernel/qobject.cpp:1992
#27 0x00007f1dfb5b8812 in QObject::~QObject (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1022
#28 0x00007f1df841a469 in MessageViewer::ViewerPrivate::~ViewerPrivate (this=0x195b600, __in_chrg=<optimized out>) at /ws/frameworks/pim/messagelib/messageviewer/src/viewer/viewer_p.cpp:305
#29 0x00007f1dfb5b75e6 in QObjectPrivate::deleteChildren (this=this@entry=0x1935cd0) at kernel/qobject.cpp:1992
#30 0x00007f1dfbed4e04 in QWidget::~QWidget (this=0x1935af0, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1709
#31 0x00007f1df840a849 in MessageViewer::Viewer::~Viewer (this=0x1935af0, __in_chrg=<optimized out>) at /ws/frameworks/pim/messagelib/messageviewer/src/viewer/viewer.cpp:87
#32 0x00007f1dfb5b75e6 in QObjectPrivate::deleteChildren (this=this@entry=0x1927370) at kernel/qobject.cpp:1992
#33 0x00007f1dfbed4e04 in QWidget::~QWidget (this=0x194f700, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1709
#34 0x00007f1dffb12309 in KMReaderWin::~KMReaderWin (this=0x194f700, __in_chrg=<optimized out>) at /ws/frameworks/pim/kmail/src/kmreaderwin.cpp:236
#35 0x00007f1dfb5b75e6 in QObjectPrivate::deleteChildren (this=this@entry=0x1b579c0) at kernel/qobject.cpp:1992
#36 0x00007f1dfbed4e04 in QWidget::~QWidget (this=0x1b56e50, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1709
#37 0x00007f1dfbf90676 in QFrame::~QFrame (this=<optimized out>, __in_chrg=<optimized out>) at widgets/qframe.cpp:262
#38 0x00007f1dfc071626 in QSplitter::~QSplitter (this=0x1b56e50, __in_chrg=<optimized out>) at widgets/qsplitter.cpp:976
#39 0x00007f1dfc071645 in QSplitter::~QSplitter (this=0x1b56e50, __in_chrg=<optimized out>) at widgets/qsplitter.cpp:984
#40 0x00007f1dfb5b75e6 in QObjectPrivate::deleteChildren (this=this@entry=0x1b577a0) at kernel/qobject.cpp:1992
#41 0x00007f1dfbed4e04 in QWidget::~QWidget (this=0x1b56de0, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1709
#42 0x00007f1dfbf90676 in QFrame::~QFrame (this=<optimized out>, __in_chrg=<optimized out>) at widgets/qframe.cpp:262
#43 0x00007f1dfc071626 in QSplitter::~QSplitter (this=0x1b56de0, __in_chrg=<optimized out>) at widgets/qsplitter.cpp:976
#44 0x00007f1dfc071645 in QSplitter::~QSplitter (this=0x1b56de0, __in_chrg=<optimized out>) at widgets/qsplitter.cpp:984
#45 0x00007f1dffb4b393 in KMMainWidget::deleteWidgets (this=this@entry=0x17b6e80) at /ws/frameworks/pim/kmail/src/kmmainwidget.cpp:973
#46 0x00007f1dffb665e9 in KMMainWidget::destruct (this=0x17b6e80) at /ws/frameworks/pim/kmail/src/kmmainwidget.cpp:378
#47 0x00007f1dffb6681f in KMMainWidget::~KMMainWidget (this=0x17b6e80, __in_chrg=<optimized out>) at /ws/frameworks/pim/kmail/src/kmmainwidget.cpp:362
#48 0x00007f1dffb66a29 in KMMainWidget::~KMMainWidget (this=0x17b6e80, __in_chrg=<optimized out>) at /ws/frameworks/pim/kmail/src/kmmainwidget.cpp:363
#49 0x00007f1dfb5b75e6 in QObjectPrivate::deleteChildren (this=this@entry=0x17b3bb0) at kernel/qobject.cpp:1992
#50 0x00007f1dfbed4e04 in QWidget::~QWidget (this=0x17b38d0, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1709
#51 0x00007f1dfc00f802 in QMainWindow::~QMainWindow (this=<optimized out>, __in_chrg=<optimized out>) at widgets/qmainwindow.cpp:414
#52 0x00007f1dfeb93ed6 in KMainWindow::~KMainWindow (this=0x17b38d0, __in_chrg=<optimized out>) at /ws/frameworks/tier3/kxmlgui/src/kmainwindow.cpp:393
#53 0x00007f1dffb0edb4 in KMMainWin::~KMMainWin (this=this@entry=0x17b38d0, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /ws/frameworks/pim/kmail/src/kmmainwin.cpp:92
#54 0x00007f1dffb0ee89 in KMMainWin::~KMMainWin (this=0x17b38d0, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /ws/frameworks/pim/kmail/src/kmmainwin.cpp:97
#55 0x00007f1dfb5afea4 in qDeleteInEventHandler (o=o@entry=0x17b38d0) at kernel/qobject.cpp:4598
#56 0x00007f1dfb5b1c10 in QObject::event (this=this@entry=0x17b38d0, e=e@entry=0x3ead080) at kernel/qobject.cpp:1237
#57 0x00007f1dfbeda418 in QWidget::event (this=this@entry=0x17b38d0, event=event@entry=0x3ead080) at kernel/qwidget.cpp:9266
#58 0x00007f1dfc011f69 in QMainWindow::event (this=this@entry=0x17b38d0, event=event@entry=0x3ead080) at widgets/qmainwindow.cpp:1563
#59 0x00007f1dfeb965b9 in KMainWindow::event (this=this@entry=0x17b38d0, ev=ev@entry=0x3ead080) at /ws/frameworks/tier3/kxmlgui/src/kmainwindow.cpp:865
#60 0x00007f1dfebe0645 in KXmlGuiWindow::event (this=0x17b38d0, ev=0x3ead080) at /ws/frameworks/tier3/kxmlgui/src/kxmlguiwindow.cpp:119
#61 0x00007f1dfbe90b1e in QApplicationPrivate::notify_helper (this=this@entry=0x127ca00, receiver=receiver@entry=0x17b38d0, e=e@entry=0x3ead080) at kernel/qapplication.cpp:3722
#62 0x00007f1dfbe9a7c5 in QApplication::notify (this=0x7ffd0517ab10, receiver=0x17b38d0, e=0x3ead080) at kernel/qapplication.cpp:3685
#63 0x00007f1dfb580269 in QCoreApplication::notifyInternal2 (receiver=receiver@entry=0x17b38d0, event=event@entry=0x3ead080) at kernel/qcoreapplication.cpp:1018
#64 0x00007f1dfb58570f in QCoreApplication::sendEvent (event=0x3ead080, receiver=0x17b38d0) at kernel/qcoreapplication.h:233
#65 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x125ec70) at kernel/qcoreapplication.cpp:1678
#66 0x00007f1dfb5d8633 in QEventDispatcherUNIX::processEvents (this=0x12d0760, flags=..., flags@entry=...) at kernel/qeventdispatcher_unix.cpp:466
#67 0x00007f1dd0733afb in QUnixEventDispatcherQPA::processEvents (this=<optimized out>, flags=...) at qunixeventdispatcher.cpp:68
#68 0x00007f1dfb57dfdf in QEventLoop::processEvents (this=this@entry=0x7ffd0517a420, flags=..., flags@entry=...) at kernel/qeventloop.cpp:134
#69 0x00007f1dfb57e453 in QEventLoop::exec (this=this@entry=0x7ffd0517a420, flags=flags@entry=...) at kernel/qeventloop.cpp:212
#70 0x00007f1dfb587f3e in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1291
#71 0x00007f1dfb8fb930 in QGuiApplication::exec () at kernel/qguiapplication.cpp:1679
#72 0x00007f1dfbe909f9 in QApplication::exec () at kernel/qapplication.cpp:2910
#73 0x000000000040389e in main (argc=1, argv=0x7ffd0517ad48) at /ws/frameworks/pim/kmail/src/main.cpp:156

Reported using DrKonqi
Comment 1 Dennis Schridde 2018-02-10 08:59:51 UTC
Created attachment 110504 [details]
New crash information added by DrKonqi

kmail (5.7.1) using Qt 5.9.4

- What I was doing when the application crashed:

I closed KMail after retrieving emails and it crashed a while after being closed.

-- Backtrace (Reduced):
#7  0x00007fa2815c5e5e in QMainWindowLayout::statusBar (this=<optimized out>) at widgets/qmainwindowlayout.cpp:2332
#8  0x00007fa2815c1b78 in QMainWindow::statusBar (this=0x55de9b4f9380) at widgets/qmainwindow.cpp:623
#9  0x00007fa2825ae0d9 in KMMainWin::displayStatusMessage (this=0x55de9b4f9380, aText=...) at /var/tmp/portage/kde-apps/kmail-17.12.1-r1/work/kmail-17.12.1/src/kmmainwin.cpp:106
#10 0x00007fa280847da6 in QtPrivate::QSlotObjectBase::call (a=0x7ffd576b7180, r=0x55de9b4f9380, this=0x55de9bb87de0) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
[...]
#12 0x00007fa277019b62 in KPIM::BroadcastStatus::statusMsg(QString const&) () from /usr/lib64/libKF5Libkdepim.so.5
Comment 2 Jonathan Marten 2018-03-12 12:21:02 UTC
Git commit 1c9c6886f1efb650c10d5b236f13393429f147dd by Jonathan Marten.
Committed on 12/03/2018 at 09:24.
Pushed by marten into branch 'master'.

Disconnect BroadcastStatus from the status bar to avoid crash on exit

Differential Revision: https://phabricator.kde.org/D11256

M  +4    -0    src/kmmainwin.cpp

https://commits.kde.org/kmail/1c9c6886f1efb650c10d5b236f13393429f147dd
Comment 3 Jonathan Marten 2018-07-04 13:39:55 UTC
*** Bug 388409 has been marked as a duplicate of this bug. ***
Comment 4 Christoph Feck 2018-12-06 02:26:57 UTC
*** Bug 395910 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2019-02-22 18:05:10 UTC
*** Bug 404118 has been marked as a duplicate of this bug. ***
Comment 6 Jonathan Marten 2019-10-06 06:58:30 UTC
*** Bug 412465 has been marked as a duplicate of this bug. ***